aboutsummaryrefslogtreecommitdiffstats
path: root/testing/babl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-22 13:37:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-22 13:37:23 +0000
commita9b251d4921e9ee649670ffcad6703ce411722f8 (patch)
treecc091cbce66845c9698b8a2bb43857f5cf886605 /testing/babl/APKBUILD
parent6553f2c48ba6457aac2e0b61c3d5542977ca5ffe (diff)
downloadaports-a9b251d4921e9ee649670ffcad6703ce411722f8.tar.gz
aports-a9b251d4921e9ee649670ffcad6703ce411722f8.tar.bz2
aports-a9b251d4921e9ee649670ffcad6703ce411722f8.tar.xz
testing/babl: new aport
Dynamic, any to any, pixel format conversion library http://gegl.org/babl/
Diffstat (limited to 'testing/babl/APKBUILD')
-rw-r--r--testing/babl/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/babl/APKBUILD b/testing/babl/APKBUILD
new file mode 100644
index 0000000000..46648b6db8
--- /dev/null
+++ b/testing/babl/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=babl
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="Dynamic, any to any, pixel format conversion library"
+url="http://gegl.org/babl/"
+license="LGPL3"
+depends=
+makedepends=
+subpackages="$pkgname-dev"
+source="ftp://ftp.gtk.org/pub/$pkgname/0.1/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="8eebd8d78d3173db7af5e3e60b1e03ea babl-0.1.2.tar.bz2"